### Constructor

# Gtk CellView new_with_context

#### Declaration [src]

    GtkWidget*
    gtk_cell_view_new_with_context (
      GtkCellArea* area,
      GtkCellAreaContext* context
    )

#### Description [src]

Creates a new `GtkCellView` widget with a specific `GtkCellArea` to layout cells and a specific `GtkCellAreaContext`.

Specifying the same context for a handful of cells lets the underlying area synchronize the geometry for those cells, in this way alignments with cellviews for other rows are possible.

#### Parameters

`area` | `GtkCellArea`
| The `GtkCellArea` to layout cells.
| The data is owned by the caller of the function.
`context` | `GtkCellAreaContext`
| The `GtkCellAreaContext` in which to calculate cell geometry.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A newly created `GtkCellView` widget.
| The data is owned by the called function.